Fórum Debian

Versão Completa: Passar Python 2.5 para default no Debian Lenny
Você está atualmente visualizando uma versão simplificada do conteúdo. Visualizar a versão completa com formatação.
Como posso fazer com que o Python 2.5 seja assumido como default no Debian Lenny?

Neste momento, sempre que tento instalar um programa que precisa do python2.5, dá erro, porque o python2.4 esta assumido por default.

Nota: Tenho o python 2.5 instalado.

Obrigado. Alegre
O executável python é um link simbólico para o executável real python2.4 ou python2.5
ls -l /usr/bin/python
lrwxrwxrwx 1 root root 9 2008-01-08 14:11 /usr/bin/python -> python2.4

Remova o link simbólico e crie ele apontando para o python2.5
rm /usr/bin/python
ln -s /usr/bin/python2.5 /usr/bin/python

Abraço.
Fabiano.
Fiz isso e agora já está a apontar para o Python 2.5, mas continuo a não conseguir instalar certos programas. Programas esses que pedem Python 2.5, mas o sistema acusa o 2.4.
URL de Referência